php

首页 » linux » 正文

安装elasticsearch-head 报错

2019年01月18日 | 分类:linux | 作者:DoRoll | 评论:0条评论 | 浏览:387
 elasticsearch-head@0.0.0 start /usr/local/elasticsearch-head
> grunt server

/usr/bin/env: "node": 没有那个文件或目录

npm ERR! Linux 4.4.0-131-generic
npm ERR! argv "/usr/bin/nodejs" "/usr/bin/npm" "start"
npm ERR! node v4.2.6
npm ERR! npm  v3.5.2
npm ERR! file sh
npm ERR! code ELIFECYCLE
npm ERR! errno ENOENT
npm ERR! syscall spawn
npm ERR! elasticsearch-head@0.0.0 start: `grunt server`
npm ERR! spawn ENOENT
npm ERR! 
npm ERR! Failed at the elasticsearch-head@0.0.0 start script 'grunt server'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the elasticsearch-head package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     grunt server
npm ERR! You can get information on how to open an issue for this project with:
npm ERR!     npm bugs elasticsearch-head
npm ERR! Or if that isn't available, you can get their info via:
npm ERR!     npm owner ls elasticsearch-head
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     /usr/local/elasticsearch-head/npm-debug.log

解决办法

新版本的nodejs,已经将原来/usr/bin/node改成/usr/bin/nodejs了。所以报如上错误。

解决方案如下:

apt-get install nodejs-legacy


发表评论:

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。

搜索
网站分类
控制面板
您好,欢迎到访网站!
  查看权限
«   2019年7月   »
1234567
891011121314
15161718192021
22232425262728
293031